# Automatic data collection

By default, the Batch SDK will automatically collect some data related to the user's device, please visit the native sections for more info on [Android](/developer/sdk/android/data-privacy/data-collection.md) and [iOS](/developer/sdk/ios/data-privacy/data-collection.md).

Some of this data are disabled by default and can be toggled on/off according to the user consent:

* Device model
* Device brand (Android only)
* GeoIP

Use the following API to fine-tune what you want to enable:

```dart
Batch.instance.setAutomaticDataCollection({
  "geoIP": true, // Enable GeoIP resolution on server side
  "deviceBrand": true, // Enable automatic collection of the device brand information (Android only)
  "deviceModel": true, // Enable automatic collection of the device model information
});
```

{% hint style="info" %}
This API can be used at any time in your application lifecycle and Batch will remember these values, even if your Application reboots.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://doc.batch.com/developer/sdk/flutter/data-privacy/data-collection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
